/* Volle Seitenhöhe und keine Ränder */
html, body {
  margin: 0;
  padding: 0;
  height: 100%;
  overflow: hidden;
  font-family: sans-serif;
}

/* p5.js Canvas im Hintergrund */
canvas {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 0;
}

/* Overlay über dem Canvas */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1; /* liegt über dem Canvas */
}

/* Loginformular */
.container {
  background: rgba(0, 0, 0, 0.0); /* halbtransparentes Schwarz */
  padding: 20px;
  border-radius: 10px;
  color: white;
  text-align: center;
  width: 90%;
  max-width: 200px;
}

/* Formularfelder */
input[type="password"],
button {
  width: 100%;
  padding: 10px;
  margin: 10px 0;
  background: rgba(0, 0, 0, 0.5); /* halbtransparentes Schwarz */
  border: 1px solid #444;
  text-align: center;
  color: white;
  font-size: 16px;
  box-sizing: border-box;
}

/* Hover-Effekt */
button:hover {
  background: rgba(100,100,100, 0.5); /* halbtransparentes Schwarz */
  cursor: pointer;
}
